解决 安装黑苹果出现提示应用程序副本已损坏,不能用来安装macOS的解决方法

安装黑苹果系统出现提示 应用程序副本已损坏,不能用来安装macOS的解决方法

不管是实体机黑苹果安装,还是虚拟机安装,都会遇得到

 

原因,苹果系统镜像文件中内置的时间证书到期

 

比如现在的时间是2019/11/08,安装黑苹果10.14.6的DMG系统,安装就会提示应用程序损坏,原因是苹果的这个版本的系统的证书到期了

10.14.6 的系统安装证书到期时间是2019/10/25,过了这个时间,再安装这个版的系统就会提示提示应用程序已损坏,不能提供安装

解决办法 也就相当的明了。就是 断网,然后更改系统时间

所以安装10.14.6,把系统时间改成2019/10/24 就可以了。

 

方法,先断网,比如拔掉网线。然后在系统安装界面,点最上面的工具,找到里面的 终端

输入

date 102400002019.00

1024是日期 0000 是 时 分,2019是年,.00是秒

 

然后确定,退出终端,继续安装就可以了

同样的例子,举一反三,比如系统的时间太早了,没有同步最新时间,安装最新的10.15的系统,肯定也是提示损坏

在或者就是在2019年或者未来的2020年,再继续安装10.13.6的系统,肯定也要修改时间,比如修改为

date 1025102016.20

就是把系统时间改成证书没到期的时间就可以了,差一点没关系,反正安装完成后,开机联网就自动更新同步时间了。

 

思羽布丁的黑苹果动力QQ群:15971419
欢迎赞助一下思羽布丁:https://www.mfpud.com/donations/
思羽布丁 » 解决 安装黑苹果出现提示应用程序副本已损坏,不能用来安装macOS的解决方法